
SELECT 
bibNumber,
itemType,
title,
COUNT(bibNumber) AS Counts
FROM
	spl_2016.outraw
WHERE
    deweyClass >= 520 AND deweyClass < 530
GROUP BY bibNumber,itemType,title
ORDER BY Counts DESC
limit 10;


SELECT 
YEAR(cout) AS years,
bibNumber,
itemType,
title,
COUNT(bibNumber) AS Counts
FROM
	spl_2016.outraw
WHERE
    deweyClass >= 520 AND deweyClass < 530 AND itemType = 'acbk'
GROUP BY bibNumber,itemType,title,YEAR(cout)
ORDER BY Counts DESC
limit 20;

SELECT 
YEAR(cout) AS years,
bibNumber,
itemType,
title,
COUNT(bibNumber) AS Counts
FROM
	spl_2016.outraw
WHERE
    deweyClass >= 520 AND deweyClass < 530 AND itemType = 'acdvd'
GROUP BY bibNumber,itemType,title,YEAR(cout)
ORDER BY Counts DESC
limit 20;

SELECT 
YEAR(cout) AS years,
bibNumber,
itemType,
title,
COUNT(bibNumber) AS Counts
FROM
	spl_2016.outraw
WHERE
	title like '%Earth%' or title like '%earth%'
    AND deweyClass >= 520 
    AND deweyClass < 530 
GROUP BY bibNumber,itemType,title,YEAR(cout)
ORDER BY Counts DESC
limit 20;

SELECT 
YEAR(cout) AS years,
bibNumber,
itemType,
title,
COUNT(bibNumber) AS Counts
FROM
	spl_2016.outraw
WHERE
	title like '%brief history of time%' 
    AND deweyClass >= 520 
    AND deweyClass < 530 
GROUP BY bibNumber,itemType,title,YEAR(cout)
ORDER BY Counts DESC
limit 20;

